# valueOf

open fun valueOf(name: String): ResolutionStrategy.SortOrder

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

#### Return

the enum constant with the specified name

#### Throws

IllegalArgumentException

if this enum type has no constant with the specified name